<div class="row">
    <div class="col-md-12">
      <nb-card>
        <nb-card-header>Create a new book</nb-card-header>
        <nb-card-body>
          <div [formGroup]="bookCreateForm">
            <div class="form-group row">
              <label for="title" class="col-sm-3 col-form-label">Title</label>
              <div class="col-sm-9">
                <input type="text" class="form-control" id="title" placeholder="Title" formGroupName="title" name="title">
              </div>
            </div>
            <app-validation-messages [control]="bookCreateForm.controls.title"></app-validation-messages>

            <div class="form-group row">
              <label for="category" class="col-sm-3 col-form-label">Author</label>
              <div class="col-sm-6">
                <select class="browser-default custom-select" formGroupName="authorId" name="author">
                  <option *ngFor="let author of authors" value="{{author.id}}">{{author.fullName}}</option>
                </select>
              </div>
              <div class="col-sm-3">
                <input type="button" class="btn btn-info btn-block" id="add-author" value="New Author">
              </div>
            </div>

            <div class="form-group row">
              <label for="category" class="col-sm-3 col-form-label">Genre</label>
              <!-- <div class="col-sm-6">
                <nb-select placeholder="Select Showcase"
                  fullWidth="true"
                  status="info"
                  [(selected)]="selectedItem">
                  <nb-option value="1">Option 1</nb-option>
                  <nb-option value="2">Option 2</nb-option>
                  <nb-option value="3">Option 3</nb-option>
                  <nb-option value="4">Option 4</nb-option>
                </nb-select>
              </div> -->
              <div class="col-sm-6">
                <select class="browser-default custom-select" [(ngModel)]="model.genreId" name="category">
                  <option *ngFor="let genre of genres" value="{{genre.id}}">{{genre.name}}</option>
                </select>
              </div>
              <div class="col-sm-3">
                <input type="button" class="btn btn-info btn-block" id="add-genre" value="New Genre">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-3">Radios</label>
              <div class="col-sm-9">
                <div class="radio">
                  <label class="">
                    <input type="radio" class="radio" name="gridRadios" checked>
                    <span class="custom-control-indicator"></span>
                    <span class="">Option one is this and that&mdash;be sure to include why it's great</span>
                  </label>
                </div>
                <div class="radio">
                  <label class="">
                    <input type="radio" class="radio" name="gridRadios">
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description">Option two can be something else and selecting it will
                      deselect option one</span>
                  </label>
                </div>
                <div class="radio">
                  <label class="">
                    <input type="radio" class="radio" name="gridRadios" disabled>
                    <span class="custom-control-indicator"></span>
                    <span class="custom-control-description">Option three is disabled</span>
                  </label>
                </div>
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-3">Publication Date</label>
              <div class="col-sm-9">
                <input type="text" class="form-control" placeholder="Choose date" [nbDatepicker]="formpicker"
                [(ngModel)]="model.publicationDate" name="publication-date">
                <nb-datepicker #formpicker></nb-datepicker>
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-3">Price</label>
              <div class="col-sm-9">
                <input type="number" class="form-control"
                  required name="price" min="0" value="0"
                  [(ngModel)]="model.price">
              </div>
            </div>

            <div class="form-group row">
              <label class="col-sm-3">Image</label>
              <div class="col-sm-9">
                <div class="custom-file">
                  <input type="file" class="custom-file-input" id="customFile" accept="image/png, image/jpeg" (change)="eventUploadFile($event)">
                  <label class="custom-file-label" for="customFile">Choose book image</label>
                </div>
              </div>
            </div>

            <div class="form-group row">
              <div class="offset-sm-3 col-sm-9">
                <img *ngIf="model.imageUrl" [src]="model.imageUrl" />
              </div>
            </div>



            <div class="form-group row">
              <div class="offset-sm-3 col-sm-6">
                <button type="button"
                  (click)="eventClickCreateBtn()"
                  class="btn btn-success btn-block">Create new book</button>
              </div>
            </div>
          </div>
        </nb-card-body>
      </nb-card>
    </div>

    <code>{{model | json}}</code>